Bug 50316 - update balsa2 to 2.0.10
Summary: update balsa2 to 2.0.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-26 16:50 UTC by Martin Klaffenboeck
Modified: 2003-04-04 09:09 UTC (History)
1 user (show)

See Also:


Attachments
balsa2.diff (3.82 KB, patch)
2003-03-26 16:50 UTC, Martin Klaffenboeck
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Klaffenboeck 2003-03-26 16:50:15 UTC
This is the update for balsa2 from 2.0.9 to 2.0.10.

Should be allright.

Martin
Comment 1 Ceri Davies freebsd_committer 2003-04-01 19:05:44 UTC
[Adding to audit-trail, from misfiled PR 50359]

Message-Id: <20030327175025.GC377@martin.kleinerdrache.org>
Date: Thu, 27 Mar 2003 18:50:25 +0100
From: Martin Klaffenboeck <martin.klaffenboeck@gmx.at>
To: gnome freebsd <freebsd-gnome@freebsd.org>
Cc: FreeBSD-gnats-submit@freebsd.org, marcus@marcuscom.com
References: <20030326164855.6317.qmail@httpd.terions.de>

 Maybe interesting for balsa2 users:
 
 Now the filters marked with "use while checking for new emails" works 
 much better:
 
 - you do not have to open the inbox folder,
 - you do not have to restart balsa2 when inbox was empty on checking 
 for emails.
 
 Martin
Comment 2 Ceri Davies freebsd_committer 2003-04-01 19:11:50 UTC
[Adding to audit-trail, from misfiled PR 50360]

Message-Id: <1048787881.973.16.camel@gyros>
Date: 27 Mar 2003 12:58:02 -0500
From: Joe Marcus Clarke <marcus@marcuscom.com>
To: Martin Klaffenboeck <martin.klaffenboeck@gmx.at>
Cc: gnome freebsd <freebsd-gnome@freebsd.org>,
	FreeBSD-gnats-submit@freebsd.org
In-Reply-To: <20030327175025.GC377@martin.kleinerdrache.org>
References: <20030326164855.6317.qmail@httpd.terions.de>
	 <20030327175025.GC377@martin.kleinerdrache.org>

 I see you didn't add a gpgme dependency.  I think the new GPG code
 requires this.  Can you take a look?  Thanks.
 
 Joe
Comment 3 Ceri Davies freebsd_committer 2003-04-01 19:16:38 UTC
[Adding to audit-trail, from misfiled PR 50363]

Message-Id: <20030327200418.GA6031@martin.kleinerdrache.org>
Date: Thu, 27 Mar 2003 21:04:18 +0100
From: Martin Klaffenboeck <martin.klaffenboeck@gmx.at>
To: Joe Marcus Clarke <marcus@marcuscom.com>
Cc: gnome freebsd <freebsd-gnome@freebsd.org>,
	FreeBSD-gnats-submit@freebsd.org
References: <20030326164855.6317.qmail@httpd.terions.de> <20030327175025.GC377@martin.kleinerdrache.org> <1048787881.973.17.camel@gyros>

 Hm.
   pkg_info | grep gpgme
 didn't find the package here, but balsa built just fine.
 
 Maybe this is optionally?
 
 I don't know how to work with optionally things right now.  Would 
 something like
 
 .if defined(WITH_GPGME)
 LIB_DEPENDS+=	gpgme.9:${PORTSDIR}/security/gpgme
 CONFIGURE_ARGS+=	--enable-gpgme
 .fi
 
 work?  Where do I have to put this?  Do I have to use
 
 .include <bsd.port.pre.mk>
 
 somewhere?
 
 But from ./configure --help:
 
    --enable-gpgme          build with GPGME/RFC3156 support 
 (experimental) default=no
 
 But for optional purposes it seems to be ok for me.
 
 Martin
Comment 4 Ceri Davies freebsd_committer 2003-04-01 19:17:46 UTC
[Adding to audit-trail, from misfiled PR 50364]

Message-Id: <1048795589.973.19.camel@gyros>
Date: 27 Mar 2003 15:06:30 -0500
From: Joe Marcus Clarke <marcus@marcuscom.com>
To: Martin Klaffenboeck <martin.klaffenboeck@gmx.at>
Cc: gnome freebsd <freebsd-gnome@freebsd.org>,
	FreeBSD-gnats-submit@freebsd.org
In-Reply-To: <20030327200418.GA6031@martin.kleinerdrache.org>
References: <20030326164855.6317.qmail@httpd.terions.de>
	 <20030327175025.GC377@martin.kleinerdrache.org>
	 <1048787881.973.17.camel@gyros>
	 <20030327200418.GA6031@martin.kleinerdrache.org>

 > I don't know how to work with optionally things right now.  Would=20
 > something like
 >
 > .if defined(WITH_GPGME)
 > LIB_DEPENDS+=3D	gpgme.9:${PORTSDIR}/security/gpgme
 > CONFIGURE_ARGS+=3D	--enable-gpgme
 > .fi
 
 Change the WITH argument to WITH_GPG.
 
 > work?  Where do I have to put this?  Do I have to use
 >
 > .include <bsd.port.pre.mk>
 >
 > somewhere?
 
 Not for this.
 
 Joe
Comment 5 Ceri Davies freebsd_committer 2003-04-01 19:18:16 UTC
[Adding to audit-trail, from misfiled PR 50366]

Message-Id: <20030327201447.GA6471@martin.kleinerdrache.org>
Date: Thu, 27 Mar 2003 21:14:47 +0100
From: Martin Klaffenboeck <martin.klaffenboeck@gmx.at>
To: Joe Marcus Clarke <marcus@marcuscom.com>
Cc: gnome freebsd <freebsd-gnome@freebsd.org>,
	FreeBSD-gnats-submit@freebsd.org
References: <20030326164855.6317.qmail@httpd.terions.de> <20030327175025.GC377@martin.kleinerdrache.org> <1048787881.973.17.camel@gyros> <20030327200418.GA6031@martin.kleinerdrache.org> <1048795589.973.19.camel@gyros>

 Ok, here is the new diff, I hope I have added the WITH_GPG thing on the 
 right place (after MAN1 = ...)
 
 Martin
 
 diff -Nur balsa2.orig/Makefile balsa2/Makefile
 --- balsa2.orig/Makefile	Wed Feb 26 11:13:16 2003
 +++ balsa2/Makefile	Thu Mar 27 21:13:45 2003
 @@ -6,7 +6,7 @@
  #
  
  PORTNAME=	balsa2
 -PORTVERSION=	2.0.9
 +PORTVERSION=	2.0.10
  CATEGORIES=	mail gnome
  MASTER_SITES=	http://www.theochem.kth.se/~pawsa/balsa/ \
  		ftp://ftp.newton.cx/pub/balsa/
 @@ -45,6 +45,11 @@
  CONFIGURE_TARGET=	--target=${MACHINE_ARCH}-unknown-freebsd${OSREL}
  
  MAN1=		balsa.1
 +
 +.if defined(WITH_GPG)
 +LIB_DEPENDS+=	gpgme.9:${PORTSDIR}/security/gpgme
 +CONFIGURE_ARGS+=	--enable-gpgme
 +.fi
  
  post-patch:
  	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|g ; \
 diff -Nur balsa2.orig/distinfo balsa2/distinfo
 --- balsa2.orig/distinfo	Wed Feb 26 11:13:16 2003
 +++ balsa2/distinfo	Wed Mar 26 16:54:36 2003
 @@ -1 +1 @@
 -MD5 (balsa-2.0.9.tar.bz2) = f8fc07818ee1d854d77b806d315ba0e2
 +MD5 (balsa-2.0.10.tar.bz2) = c4e5325df8b9ddbf62778094568a6814
 diff -Nur balsa2.orig/files/patch-configure balsa2/files/patch-configure
 --- balsa2.orig/files/patch-configure	Wed Feb 19 16:47:27 2003
 +++ balsa2/files/patch-configure	Wed Mar 26 17:09:38 2003
 @@ -1,8 +1,8 @@
 ---- configure.orig	Sun Feb 16 10:45:05 2003
 -+++ configure	Wed Feb 19 03:52:18 2003
 -@@ -8294,13 +8294,13 @@
 +--- configure.orig	Mon Mar 24 23:43:20 2003
 ++++ configure	Wed Mar 26 17:00:43 2003
 +@@ -9004,13 +9004,13 @@
 + else
   
 - if test x$enable_deprecated_pspell = xyes ; then
   
  -echo "$as_me:$LINENO: checking for new_pspell_manager in -lpspell" >&5
  -echo $ECHO_N "checking for new_pspell_manager in -lpspell... $ECHO_C" >&6
 @@ -17,17 +17,13 @@
  +LIBS="-lpspell -lstdc++ $LIBS"
   cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
 - #include "confdefs.h"
 -@@ -8311,7 +8311,7 @@
 + /* confdefs.h.  */
 +@@ -9025,11 +9025,11 @@
   #endif
   /* We use char because int might match the return type of a gcc2
      builtin and then its argument prototype would still apply.  */
  -char new_pspell_manager ();
  +char new_aspell_speller ();
 - #ifdef F77_DUMMY_MAIN
 - #  ifdef __cplusplus
 -      extern "C"
 -@@ -8321,7 +8321,7 @@
   int
   main ()
   {
 @@ -36,17 +32,18 @@
     ;
     return 0;
   }
 -@@ -8338,18 +8338,18 @@
 +@@ -9046,19 +9046,19 @@
     ac_status=$?
     echo "$as_me:$LINENO: \$? = $ac_status" >&5
     (exit $ac_status); }; }; then
  -  ac_cv_lib_pspell_new_pspell_manager=yes
 -+  ac_cv_lib_pspell_new_aspell_speller=yes
 ++   ac_cv_lib_pspell_new_aspell_speller=yes
   else
     echo "$as_me: failed program was:" >&5
 - cat conftest.$ac_ext >&5
 + sed 's/^/| /' conftest.$ac_ext >&5
 + 
  -ac_cv_lib_pspell_new_pspell_manager=no
 -+ac_cv_lib_pspell_new_aspell_speller=no
 ++ ac_cv_lib_pspell_new_aspell_speller=no
   fi
   rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
   LIBS=$ac_check_lib_save_LIBS
 @@ -54,13 +51,13 @@
  -echo "$as_me:$LINENO: result: $ac_cv_lib_pspell_new_pspell_manager" >&5
  -echo "${ECHO_T}$ac_cv_lib_pspell_new_pspell_manager" >&6
  -if test $ac_cv_lib_pspell_new_pspell_manager = yes; then
 -+echo "$as_me:$LINENO: result: $ac_cv_lib_pspell_new_aspell_speller" >&5
 -+echo "${ECHO_T}$ac_cv_lib_pspell_new_aspell_speller" >&6
 -+if test $ac_cv_lib_pspell_new_aspell_speller = yes; then
 ++ echo "$as_me:$LINENO: result: $ac_cv_lib_pspell_new_aspell_speller" >&5
 ++ echo "${ECHO_T}$ac_cv_lib_pspell_new_aspell_speller" >&6
 ++ if test $ac_cv_lib_pspell_new_aspell_speller = yes; then
     cat >>confdefs.h <<_ACEOF
   #define HAVE_LIBPSPELL 1
   _ACEOF
 -@@ -10931,7 +10931,7 @@
 +@@ -10491,7 +10491,7 @@
     echo $ECHO_N "(cached) $ECHO_C" >&6
   else
     ac_check_lib_save_LIBS=$LIBS
 @@ -68,8 +65,8 @@
  +LIBS="-lldap -llber $LIBS"
   cat >conftest.$ac_ext <<_ACEOF
   #line $LINENO "configure"
 - #include "confdefs.h"
 -@@ -10986,7 +10986,7 @@
 + /* confdefs.h.  */
 +@@ -10545,7 +10545,7 @@
   #define ENABLE_LDAP 1
   _ACEOF
   
 diff -Nur balsa2.orig/pkg-plist balsa2/pkg-plist
 --- balsa2.orig/pkg-plist	Fri Jan 31 10:06:09 2003
 +++ balsa2/pkg-plist	Wed Mar 26 17:38:34 2003
 @@ -54,6 +54,7 @@
  share/locale/ko/LC_MESSAGES/balsa.mo
  share/locale/lt/LC_MESSAGES/balsa.mo
  share/locale/lv/LC_MESSAGES/balsa.mo
 +share/locale/ml/LC_MESSAGES/balsa.mo
  share/locale/ms/LC_MESSAGES/balsa.mo
  share/locale/nl/LC_MESSAGES/balsa.mo
  share/locale/nn/LC_MESSAGES/balsa.mo
Comment 6 Ceri Davies freebsd_committer 2003-04-01 19:18:49 UTC
[Adding to audit-trail, from misfiled PR 50367]

Message-Id: <20030327203619.GC33640@martin.kleinerdrache.org>
Date: Thu, 27 Mar 2003 21:36:19 +0100
From: Martin Klaffenboeck <martin.klaffenboeck@gmx.at>
To: Joe Marcus Clarke <marcus@marcuscom.com>
Cc: gnome freebsd <freebsd-gnome@freebsd.org>,
	FreeBSD-gnats-submit@freebsd.org
References: <20030326164855.6317.qmail@httpd.terions.de> <20030327175025.GC377@martin.kleinerdrache.org> <1048787881.973.17.camel@gyros> <20030327200418.GA6031@martin.kleinerdrache.org> <1048795589.973.19.camel@gyros> <20030327201447.GA6471@martin.kleine

 Sorry, I used
 
 .fi
 
 instead of
 
 .endif
 
 I didn't want to create a new diff for that.
 
 Martin
Comment 7 Joe Marcus Clarke freebsd_committer 2003-04-04 09:09:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainers.
Comment 8 Joe Marcus Clarke freebsd_committer 2003-04-04 09:09:22 UTC
State Changed
From-To: open->closed

Committed, thanks!